Index: trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/GraphVisualizationInfoView.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/GraphVisualizationInfoView.cs	(revision 3368)
+++ trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/GraphVisualizationInfoView.cs	(revision 3376)
@@ -29,4 +29,5 @@
 using System.Windows.Forms;
 using HeuristicLab.MainForm;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Core.Views;
Index: trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/Model/GraphVisualizationInfo.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/Model/GraphVisualizationInfo.cs	(revision 3368)
+++ trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/Model/GraphVisualizationInfo.cs	(revision 3376)
@@ -24,4 +24,5 @@
 using System.Linq;
 using System.Text;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 using Netron.Diagramming.Core;
@@ -32,5 +33,5 @@
 namespace HeuristicLab.Operators.Views.GraphVisualization {
   [StorableClass]
-  public sealed class GraphVisualizationInfo : DeepCloneable {
+  public sealed class GraphVisualizationInfo : IDeepCloneable {
     private BidirectionalLookup<IOperator, IOperatorShapeInfo> operatorShapeInfoMapping;
     [Storable]
@@ -90,5 +91,9 @@
     }
 
-    public override IDeepCloneable Clone(Cloner cloner) {
+    public object Clone() {
+      return Clone(new Cloner());
+    }
+
+    public IDeepCloneable Clone(Cloner cloner) {
       GraphVisualizationInfo clone = new GraphVisualizationInfo();
       cloner.RegisterClonedObject(this, clone);
Index: trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/Model/IShapeInfo.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/Model/IShapeInfo.cs	(revision 3368)
+++ trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/Model/IShapeInfo.cs	(revision 3376)
@@ -24,4 +24,5 @@
 using System.Linq;
 using System.Text;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 using System.Drawing;
Index: trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/Model/OperatorShapeInfo.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/Model/OperatorShapeInfo.cs	(revision 3368)
+++ trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/Model/OperatorShapeInfo.cs	(revision 3376)
@@ -24,4 +24,5 @@
 using System.Linq;
 using System.Text;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 using System.Drawing;
Index: trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/Model/ShapeInfo.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/Model/ShapeInfo.cs	(revision 3368)
+++ trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/Model/ShapeInfo.cs	(revision 3376)
@@ -24,4 +24,5 @@
 using System.Linq;
 using System.Text;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 using System.Drawing;
@@ -32,5 +33,5 @@
 namespace HeuristicLab.Operators.Views.GraphVisualization {
   [StorableClass]
-  internal abstract class ShapeInfo : DeepCloneable, IShapeInfo {
+  internal abstract class ShapeInfo : IDeepCloneable, IShapeInfo {
     private ShapeInfo() {
     }
@@ -77,6 +78,11 @@
     }
 
-    public override IDeepCloneable Clone(Cloner cloner) {
-      ShapeInfo clone = (ShapeInfo) base.Clone(cloner);
+    public object Clone() {
+      return Clone(new Cloner());
+    }
+
+    public virtual IDeepCloneable Clone(Cloner cloner) {
+      ShapeInfo clone = (ShapeInfo)Activator.CreateInstance(this.GetType());
+      cloner.RegisterClonedObject(this, clone);
       clone.shapeType = this.shapeType;
       clone.location = this.location;
Index: trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/Model/ShapeInfoFactory.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/Model/ShapeInfoFactory.cs	(revision 3368)
+++ trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/Model/ShapeInfoFactory.cs	(revision 3376)
@@ -24,4 +24,5 @@
 using System.Linq;
 using System.Text;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 using Netron.Diagramming.Core;
Index: trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphView.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphView.cs	(revision 3368)
+++ trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphView.cs	(revision 3376)
@@ -29,4 +29,5 @@
 using System.Windows.Forms;
 using HeuristicLab.MainForm;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Core.Views;
